%global _internal_version   3dee496

Name:          muffin
Version:       3.2.2
Release:       %mkrel 1
Summary:       Window and compositing manager based on Clutter

Group:         Graphical desktop/Cinnamon
License:       GPLv2+
URL:           https://github.com/linuxmint/muffin

Source0:       muffin-%{version}.tar.gz
#Source0:       muffin-%{version}.git%{_internal_version}.tar.gz
#SourceGet0:   https://github.com/linuxmint/muffin/tarball/%{_internal_version}

# revert ibus change
# https://github.com/linuxmint/muffin/commit/19397761a8b57823b236320f8da9a706bbf09d79
# to fix https://bugzilla.redhat.com/show_bug.cgi?id=1082118
Source1:       muffin-adwaita.txt
#Patch0:        revert_ibus.patch
Patch1:        remove_muffin_binary.patch

BuildRequires: pkgconfig(clutter-1.0) >= 1.7.5
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(libcanberra)
BuildRequires: pkgconfig(cinnamon-desktop) >= 2.6.0
BuildRequires: pkgconfig(gnome-doc-utils)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: zenity
# Bootstrap requirements
BuildRequires: gtk-doc
BuildRequires: gnome-common
BuildRequires: intltool

Requires: dbus-x11
Requires: zenity

%define libname_devel %mklibname -d %{name}

%description
Muffin is a window and compositing manager that displays and manages
your desktop via OpenGL. Muffin combines a sophisticated display engine
using the Clutter toolkit with solid window-management logic inherited
from the Metacity window manager.

While Muffin can be used stand-alone, it is primarily intended to be
used as the display core of a larger system such as Cinnamon. 
For this reason, Muffin is very extensible via plugins, which
are used both to add fancy visual effects and to rework the window
management behaviors to meet the needs of the environment.

%package -n %{libname_devel}
Summary: Development package for %{name}
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}-%{release}
Provides: muffin-devel = %{version}-%{release}

%description -n %{libname_devel}
Header files and libraries for developing Muffin plugins. Also includes
utilities for testing Metacity/Muffin themes.

%prep
%autosetup -p1 -n linuxmint-muffin-%{_internal_version}
NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x --disable-static --enable-compile-warnings=minimum

sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

SHOULD_HAVE_DEFINED="HAVE_SM HAVE_XINERAMA HAVE_XFREE_XINERAMA HAVE_SHAPE HAVE_RANDR HAVE_STARTUP_NOTIFICATION"

for I in $SHOULD_HAVE_DEFINED; do
  if ! grep -q "define $I" config.h; then
    echo "$I was not defined in config.h"
    grep "$I" config.h
    exit 1
  else
    echo "$I was defined as it should have been"
    grep "$I" config.h
  fi
done

%make

%install
%makeinstall_std

# Create a dummy themes directory so that cinnamon settings will see
# the Adwaita fallback theme which has been removed from gnome-themes-standard
%__mkdir_p %{buildroot}/%{_datadir}/themes/Adwaita/metacity-1
%__cp %{SOURCE1} %{buildroot}/%{_datadir}/themes/Adwaita/metacity-1 

#Remove libtool archives.
rm -rf %{buildroot}/%{_libdir}/*.la

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS NEWS HACKING doc/theme-format.txt
%license COPYING
%{_libdir}/libmuffin.so.*
%{_libdir}/muffin/
%dir %{_datadir}/muffin/
%{_datadir}/muffin/theme/
%{_datadir}/glib-2.0/schemas/org.cinnamon.muffin.gschema.xml
%{_datadir}/themes/Adwaita/metacity-1/

%files -n %{libname_devel}
%{_bindir}/muffin-theme-viewer
%{_bindir}/muffin-window-demo
%{_datadir}/muffin/icons/
%{_datadir}/gtk-doc/html/muffin/
%{_includedir}/muffin/
%{_libdir}/libmuffin.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/muffin-*



%changelog
* Mon Jan 23 2017 joequant <joequant> 3.2.2-1.mga6
+ Revision: 1083153
- upgrade to 3.2.2

* Sun May 22 2016 joequant <joequant> 3.0.4-1.mga6
+ Revision: 1017427
- upgrade to 3.0.4

* Sat May 07 2016 joequant <joequant> 3.0.0-5.mga6
+ Revision: 1010221
- add fedora patch

* Sat May 07 2016 joequant <joequant> 3.0.0-4.mga6
+ Revision: 1010193
- add suggestion by fedora to own the directory
- fix to add Adwaita to cinnamon settings

* Tue May 03 2016 joequant <joequant> 3.0.0-1.mga6
+ Revision: 1008830
- upgrade to 3.0.0

* Sat Mar 26 2016 joequant <joequant> 2.8.5-1.mga6
+ Revision: 995559
- upgrade to 2.8.5

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Nov 18 2015 joequant <joequant> 2.8.3-1.mga6
+ Revision: 904005
- upgrade to 2.8.3

* Wed Oct 21 2015 joequant <joequant> 2.8.1-1.mga6
+ Revision: 893694
- upgrade to 2.8.1

* Fri Jun 26 2015 joequant <joequant> 2.6.1-1.mga6
+ Revision: 844296
- upgrade to 2.6

* Tue Jun 23 2015 joequant <joequant> 2.4.2-2.mga6
+ Revision: 841151
- add gnome 3.16 patches

* Thu Nov 27 2014 joequant <joequant> 2.4.2-1.mga5
+ Revision: 799548
- 2.4.2

* Sun Nov 23 2014 joequant <joequant> 2.4.1-1.mga5
+ Revision: 798399
- upgrade to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.6-4.mga5
+ Revision: 746361
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2.6-3.mga5
+ Revision: 727370
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.6-2.mga5
+ Revision: 682689
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 joequant <joequant> 2.2.6-1.mga5
+ Revision: 669424
- update to 2.2.6

* Tue Jun 10 2014 joequant <joequant> 2.2.5-1.mga5
+ Revision: 635388
- upgrade to 2.2.5

* Thu May 15 2014 joequant <joequant> 2.2.3-1.mga5
+ Revision: 622884
- put in version for cinnamon-session
- update to 2.2.3

* Fri Apr 18 2014 joequant <joequant> 2.2.1-1.mga5
+ Revision: 616809
- upgrade to 2.2

* Mon Feb 24 2014 pterjan <pterjan> 2.0.5-5.mga5
+ Revision: 596103
- Rebuild for new cogl

* Fri Feb 21 2014 joequant <joequant> 2.0.5-4.mga5
+ Revision: 595212
- add fedora patches
- put in fedora patches needed for new cogl

  + ovitters <ovitters>
    - rebuild for new cogl

* Wed Jan 08 2014 joequant <joequant> 2.0.5-2.mga4
+ Revision: 565561
- push to core/release

* Wed Jan 01 2014 joequant <joequant> 2.0.5-1.mga4
+ Revision: 563803
- upgrade to 2.0.5

* Wed Oct 23 2013 joequant <joequant> 2.0.3-2.mga4
+ Revision: 546395
- upgrade to 2.0.3

* Mon Oct 21 2013 umeabot <umeabot> 2.0.1-2.mga4
+ Revision: 541269
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 joequant <joequant> 2.0.1-1.mga4
+ Revision: 495431
- update to 2.0.1

* Tue Oct 01 2013 joequant <joequant> 1.9.1-1.mga4
+ Revision: 490015
- upgrade to 1.9.1

* Mon Sep 02 2013 joequant <joequant> 1.8.3-0.4.gitc13a698.mga4
+ Revision: 474280
- update to latest git

* Fri Aug 23 2013 joequant <joequant> 1.8.3-0.3.git9611aa2.mga4
+ Revision: 470198
- update muffin

* Thu Aug 01 2013 dams <dams> 1.8.2-2.mga4
+ Revision: 462426
- rebuild for new cogl

* Sat Jun 01 2013 joequant <joequant> 1.8.2-1.mga4
+ Revision: 434269
- clean up spec file
- muffin 1.8.2
- upgrade cinnamon and muffin
- update to 1.7.4
- sync to latest 1.7 versions of cinnamon
- update to 1.7.1
- change API tag of Meta to avoid conflict with gnome-shell
  remove typelib(Meta) from spec
- imported package muffin

